Search Results for

Show / Hide Table of Contents

# Class Clipboard

Provides cut, copy, and paste support for the clipboard with OS interaction.

##### Inheritance

System.Object
Clipboard

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public static class Clipboard

### Properties

#### Contents

Get or sets the operation system clipboard, otherwise the contents field.

##### Declaration

    public static ustring Contents { get; set; }

##### Property Value

Type | Description
--- | ---
NStack.ustring |

#### IsSupported

Returns true if the environmental dependencies are in place to interact with the OS clipboard.

##### Declaration

    public static bool IsSupported { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### TryGetClipboardData(out String)

Gets the operation system clipboard if possible.

##### Declaration

    public static bool TryGetClipboardData(out string result)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | result | Clipboard contents read

##### Returns

Type | Description
--- | ---
System.Boolean | true if it was possible to read the OS clipboard.

#### TrySetClipboardData(String)

Sets the operation system clipboard if possible.

##### Declaration

    public static bool TrySetClipboardData(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

##### Returns

Type | Description
--- | ---
System.Boolean | True if the clipboard content was set successfully.